/// <reference types="react" />
export interface ActiveDevice {
    breakpoint: string;
    width: string;
}
export interface WizardProviderStateInterface {
    lastStep: number | null;
    isLastStep: boolean;
    hideExit: boolean;
    showCloseWarning: boolean | null;
    activeDevice: ActiveDevice;
    hasStepped: boolean;
    error?: {
        showError: boolean;
        title?: string;
        message?: string;
    };
}
export interface WizardProviderContextInterface {
    wizardState: WizardProviderStateInterface;
    currentStep: number;
    goToStep: (targetStep: number) => void;
    goToNextStep: () => void;
    goToPreviousStep: () => void;
    closeAll: () => void;
    setShowCloseWarning: (showCloseWarning: boolean) => void;
    setHideExit: (hideExit: boolean) => void;
    setActiveDevice: (device: ActiveDevice) => void;
    setError: (showErrorScreen: boolean, title?: string, message?: string) => void;
}
export declare const WizardContext: import("react").Context<WizardProviderContextInterface | null>;
declare const WizardProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default WizardProvider;
//# sourceMappingURL=WizardProvider.d.ts.map