export interface FtcSiteLogoObjectInterface {
    id: string;
    url: string;
}
export interface FtcSiteObject {
    logo: FtcSiteLogoObjectInterface;
    siteName: string;
    tagline: string;
    industry: string;
    subIndustry: string;
    siteDescription: string;
    sitePersonality: string;
    siteKeywords: string[];
    goals: string[];
    template: string;
}
export interface FtcWizardObjectInterface {
    id: string;
    completed: boolean;
    adminUrl: string;
    username: string;
    site: FtcSiteObject;
    previewLogo: FtcSiteLogoObjectInterface;
    ajax: SiteBuilderAjaxObject;
}
export interface FtcFormValueInterface<T> {
    value: T;
    touched: boolean;
    isValid: boolean;
}
type FormItems<T> = {
    [Property in keyof T]: FtcFormValueInterface<T[Property]>;
};
export interface FtcFormItemsInterface extends Omit<FormItems<FtcSiteObject>, 'logo'> {
    username: FtcFormValueInterface<string>;
    password: FtcFormValueInterface<string>;
    logoId: FtcFormValueInterface<string>;
}
export interface FtcScreenDataInterface extends FtcWizardObjectInterface {
    isLoading: boolean;
    lastStep: number;
    steps: Array<StepInterface>;
    form: FtcFormItemsInterface;
    industryVerticals: Record<string, string[]>;
    personalityOptions: string[];
}
declare const FtcScreenData: () => FtcScreenDataInterface;
export default FtcScreenData;
//# sourceMappingURL=first-time-configuration-screen-data.d.ts.map