/// <reference types="react" />
import { FtcScreenDataInterface, FtcFormItemsInterface } from '@ftc/data/first-time-configuration-screen-data';
export type setFormValueFn = (prop: keyof FtcFormItemsInterface, value: string | string[]) => void;
export type submitFormFn = (isNextLookAndFeel?: boolean) => void;
export type resetFormValueFn = (prop: keyof FtcFormItemsInterface) => void;
export type setIsLoadingFn = (isLoading: boolean) => void;
export type setLogoValueFn = (id: string, url: string) => void;
export type validateUsernamePasswordFn = (usernameIsValid: boolean, passwordIsValid: boolean) => void;
export type shouldBlockNextStepFn = (prop: any | any[], activeStep: number) => void;
export interface FtcProviderContextInterface {
    ftcState: FtcScreenDataInterface;
    setFormValue: setFormValueFn;
    submitForm: submitFormFn;
    resetFormValue: resetFormValueFn;
    setIsLoading: setIsLoadingFn;
    setLogoValue: setLogoValueFn;
    validateUsernamePassword: validateUsernamePasswordFn;
    shouldBlockNextStep: shouldBlockNextStepFn;
}
export interface FtcUsernamePasswordInterface {
    username: string | null;
    password: string | null;
}
export declare const FirstTimeConfigurationContext: import("react").Context<FtcProviderContextInterface | FtcScreenDataInterface | null>;
declare const FirstTimeConfigurationProvider: React.FC<{
    children: React.ReactNode;
}>;
export default FirstTimeConfigurationProvider;
//# sourceMappingURL=FirstTimeConfigurationProvider.d.ts.map